%% Parfor example
clear;
clf

%% Write out 200 files with random entries
for ii=1:200
    csvwrite(int2str(ii),rand(512));
end

%% Create parallel pool if it doesn't exist

poolobj = gcp('nocreate'); 
if isempty(poolobj)
    poolsize = 0;
    parpool('local')
else
    poolsize = poolobj.NumWorkers
end


%% Let's read data file by file, process it, then generate an image
tic; 
a=zeros(200,1); 
for ii=1:200; 
    a(ii)=sum(sum(csvread(int2str(ii)))); 
end; 
plot(a); toc


%% Replace for with parfor. Read multiple files and process simultaneously
clear;clf;
tic; 
a=zeros(200); 
parfor ii=1:200; 
    a(ii)=sum(sum(csvread(int2str(ii)))); 
end; 
plot(a); toc
