% Calculate Pi using Monte Carlo integration
clearvars -except mp

t0=tic;
num_samples = 1e7;
x = rand(num_samples,1,'double');
y = rand(num_samples,1,'double');

for ii=1:length(x)
   r(ii) = (x(ii)^2 + y(ii)^2);
end

circle_count=0;
for ii=1:length(x)
    if(r(ii) <= 1)
       circle_count = circle_count +1; 
    end
end

mypi = (circle_count/num_samples)*4;
t=toc(t0);
mp(1) = t;

disp(sprintf('Pi = %1.7f',mypi))
disp(sprintf('Err = %1.7f%%',(pi-mypi)/pi*100))

disp(sprintf('Time = %2.4f s',mp))