% Calculate Pi using Monte Carlo integration
clearvars -except mp

t0=tic;
num_samples = 1e7;
x = gpuArray.rand(num_samples,1,'double');
y = gpuArray.rand(num_samples,1,'double');

r = (x.^2 + y.^2);

circle_count=length(find(r <= 1));

mypi = (circle_count/num_samples)*4;
t=toc(t0);
mp(4) = t;

disp(sprintf('Pi = %1.7f',mypi))
disp(sprintf('Err = %1.7f%%',(pi-mypi)/pi*100))

disp(sprintf('Time = %2.4f s',mp))