function [ mypi ] = monte_pi_f( samples )
% Calculate Pi using Monte Carlo integration
%   Use naive means of evaluating Pi using MC integration.

x = rand(samples,1,'double');
y = rand(samples,1,'double');

for ii=1:length(x)
   r(ii) = (x(ii)^2 + y(ii)^2);
end

circle_count=0;
for ii=1:length(x)
    if(r(ii) <= 1)
       circle_count = circle_count +1; 
    end
end

mypi = (circle_count/samples)*4;

end

