function [ mypi ] = monte_pi_f3( samples )
% Calculate Pi using Monte Carlo integration
%   Use naive means of evaluating Pi using MC integration.

x = gpuArray.rand(samples,1,'double');
y = gpuArray.rand(samples,1,'double');

r = (x.^2 + y.^2);

circle_count=length(find(r <= 1));

mypi = (circle_count/samples)*4;

end

