%SkillPill Matlab: Accelerating Matlab 

%%
%C-style code

num_samples = 100000;
dx = 2*pi/num_samples;
for ii = 1:num_samples
    x(ii) = (ii-1)*dx;
    y(ii) = sin(x(ii));
end

%%
%Pre-allocated

num_samples = 100000;
dx = 2*pi/num_samples;

x = zeros(num_samples,1);
y = zeros(num_samples,1);

for ii = 1:num_samples
    x(ii) = (ii-1)*dx;
    y(ii) = sin(x(ii));
end

%%
%Vectorised

num_samples = 100000;
dx = 2*pi/num_samples;

x = 0:dx:(2*pi-dx);
y = sin(x);