function [dy]=dampedHO(t,y)
% damped harmonic oscillator
% second order ODE
%
%dy1_dt = y2
%dy2_dt = -A*y2-omega^2*y1
%
% Input arguments: y1, y2 and t 
% Output arguments: dy1 and dy2
%
% constants
A= 1;   
omega=2; 

%initialize
dy = zeros(2,1);

%evaluate
dy(1)=y(2);
dy(2)=-A*y(2)-(omega.^2)*y(1);

%dy = dy'; 




