% Solve the damped HO
% using the inbuilt matlab ode45 routine: 
% Integrate from t0 to tfinal
t0 = 0; 
tfinal = 20; 
% stepsize
dt = 0.1; 
tspan = [t0:dt:tfinal];

% with initial contitions for the system
% x(t=0) =1
x0 = 1; 
% dx_dt(t=0)=0
dx0 = 0; 

[T,Y]=ode45('dampedHO',tspan,[x0;dx0]);

figure(1); 
hold; 
plot(T,Y(:,1),'-b'); 
plot(T,Y(:,2),'-m');
hold; 
legend('x','dx/dt')


