% Solves the:
% Lorenz Equations
% 
% dx_dt = sigma(y-x)
% dy_dt = x(rho-z)-y
% dz_dt = x*y-beta*z

% timespan
t0 = 0; % initial time
tfinal = 60; % final time
dt = 0.01; % dt

%tspan = [t0:dt:tfinal];

% initial conditions
y0 = [1,1,1];

% use ode45 to solve equations
[T,Y]=ode45('lorenz',[t0,tfinal],y0);

% plot 
figure(4);
plot3(Y(:,1),Y(:,2),Y(:,3),'-')
grid on; 

