% Solve the predator prey model
% initial conditions 
y0 = [6,2];

% timespan
t0 = 0; % initial time
tfinal = 40; % final time
dt = 0.25; % time increment

tspan = [t0:dt:tfinal];

% call the ode solver
[t,Y] = ode45('predatorprey',[t0,tfinal],y0);

% plot
figure(20);
hold; 
% Plot the change in prey population
plot(t,Y(:,1),'r -*')
% Plot the change in predator population
plot(t,Y(:,2),'b -*')
hold; 
legend('Prey','Predators')

