% Game of life interface

% Size of the array
N=50;
A=zeros(N,N);

% % For random initial conditions
% A=floor(rand(N,N)+0.5);

% Sets the colors to black and white and plots A
colormap([1 1 1 ; 1 1 1 ; 0 0 0 ])
imagesc(A); axis square ; axis off


% To include a glider gun with a click (click outside the graph not to add it)
load 'glidergun.mat'
[x,y]=ginput(1);
if ~(round(y)<1 || round(y)>N || round(x)<1 || round(x)>N)
    A(mod((round(y):round(y)+size(gg,1)-1)-1,N)+1,mod((round(x):round(x)+size(gg,2)-1)-1,N)+1)=gg;
end
imagesc(A); axis square ; axis off

% To manually switch cells on and off (click outside the graph to stop)
while 1
    [x,y]=ginput(1);
    if round(y)<1 || round(y)>N || round(x)<1 || round(x)>N
        break
    end
    A(round(y),round(x))=~A(round(y),round(x));
    imagesc(A); axis square ; axis off
end

% Evolution, stops only if there is no change
Aold=~A;
while ~isequal(Aold,A)
    Aold=A;
    A=cycle(A);
    pause(0.1)
    imagesc(A); axis square ; axis off
end
